# norootforbuild
%define pkg_name    mailparse
%define php_version %(php-config --version 2>/dev/null)

Name: php5-mailparse
Version: 2.1.6
Release: 2.5
License: PHP 
Group: Productivity/Networking/Web/Servers
BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildRequires: php5-devel
Requires: php5 = %{php_version} php5-mbstring
#
URL: http://pecl.php.net/package/mailparse 
Source: http://pecl.php.net/get/%{pkg_name}-%{version}.tgz
#
Summary: Email message manipulation
Patch0:	mailparse-2.1.2-64bit.patch
 
%description

Mailparse is an extension for parsing and working with email messages.
It can deal with rfc822 and rfc2045 (MIME) compliant messages.

Authors:
---------

	Wez Furlong <wez@php.net>

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0
%{__mkdir} %{name}

%build
/usr/bin/phpize
pushd %{name}

CFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
%endif

export CFLAGS

../configure 
%{__make}
popd

%install
%makeinstall -C %{name} INSTALL_ROOT=%{buildroot}
%{__mkdir} -p %{buildroot}%{_sysconfdir}/php5/conf.d
echo "extension= %{pkg_name}.so" >> %{buildroot}%{_sysconfdir}/php5/conf.d/%{pkg_name}.ini

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/php5/extensions/%{pkg_name}.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/%{pkg_name}.ini

%doc CREDITS README 

%changelog
* Wed Mar 14 2012 cs@linux-administrator.com
- update to release 2.1.6
* Wed Jan  9 2008 crrodriguez@suse.de
- update to version 2.1.3
  * Fixed problems with continuation lines introduced in 2.1.2.
  * Fixed bug #6862.
* Wed Nov  7 2007 crrodriguez@suse.de
- update to version 2.1.2, first bug-fix release since 2005.
